=== debian/changelog ===
gprbuild (2021.0.0.0778b109-5) unstable; urgency=medium

  * Fix dependencies for examples autopkgtest. Closes: #977551.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Dec 2020 12:30:43 +0000

gprbuild (2021.0.0.0778b109-4) unstable; urgency=medium

  * Fix dependencies for gpr-wrapper autopkgtest. Closes: #977551.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 16 Dec 2020 23:07:44 +0000

gprbuild (2021.0.0.0778b109-3) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Add myself to Uploaders.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 11 Dec 2020 09:19:32 +0100

gprbuild (2021.0.0.0778b109-2) experimental; urgency=medium

  * Build-Depend: libxmlada (>= 21), fixing the build of indirect reverse
    dependencies in experimental where ALI versions do not change.
  * Install compatibility gpr.gpr referencing gnatprj.gpr.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Nov 2020 17:22:29 +0000

gprbuild (2021.0.0.0778b109-1) experimental; urgency=medium

  * New upstream snapshot (no ALI/SO bump in experimental).
    Adapt ada-lib-info-source-date-epoch.diff to nanosecond precision.
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging accordingly.
  * Upstream removes invariant sections from GFDL-1.3+.
    Add a Debian -doc package for the user guide and move examples there.
    New patches: doc-conf-python3, doc-conf-sphinx4, clean-pycache.
  * Upstream distributes gprconfig-kb separately.
  * Upstream does not regenerate gpr-snames anymore.
  * tests: check installed examples instead of using source tree.
  * Upstream recommends to watch github instead of the community website.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 18 Oct 2020 12:54:06 +0000

gprbuild (2020-1) experimental; urgency=medium

  * New upstream version built with gnat-10.
    Rename lib and -dev package in experimental.
  * Sync SOURCE_DATE_EPOCH patch with equivalent gcc-10 patch.
  * Rebase archive-builder.diff as in upstream merge request.
  * Sync shared part of debian/rules with libxmlada.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 May 2020 14:11:33 +0000
