=== debian/watch ===
version=4

# For historical reasons, DEB_VERSION_UPSTREAM starts with "20".

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gprbuild-$1.tar.gz%,\
      dversionmangle=s/^20//" \
https://github.com/AdaCore/gprbuild/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
