=== debian/changelog ===
gprbuild (2022.0.0-8) unstable; urgency=medium

  * Remove support for gnatgcc as a compiler in gprconfig-kb
  * Add autopkgtest for a project mixing Ada and C
  * Update README.Debian

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 14 Jul 2022 18:35:33 +0200

gprbuild (2022.0.0-7) unstable; urgency=medium

  * Disable parallelism in Make, reenable it in sphinx.
    The failure of 2022.0.0-6 disculps sphinx-doc of #1008152.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 07 Jun 2022 16:27:42 +0000

gprbuild (2022.0.0-6) unstable; urgency=medium

  * Disable parallelism when building sphinx documentation, hopefully
    avoiding to trigger #1008152 again.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Jun 2022 22:08:00 +0000

gprbuild (2022.0.0-5) unstable; urgency=medium

  * Fix regular expression removing -prefix-map lines from .ali files

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 31 May 2022 02:18:33 +0200

gprbuild (2022.0.0-4) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:04:52 +0200

gprbuild (2022.0.0-3) experimental; urgency=medium

  * Let -dev packages depend on 'gnat (>= X), gnat (<< X+1)' instead of
    'gnat, gnat-X'.  See https://bugs.debian.org/bug=975589#24.
  * Override dh_gencontrol instead of appending to .substvars, in order to
    increase log readability and prevent multiple inclusions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2022 13:19:47 +0000

gprbuild (2022.0.0-2) experimental; urgency=medium

  * Rebuild with gnat-11 (>= 11.2.0-19).
    A change in s-oscons.ads breaks ALI checksums.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Apr 2022 12:02:43 +0000

gprbuild (2022.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-11 in experimental.
  * Rename lib and -dev packages per Ada policy.
  * Adapt to changes in debian_packaging.mk.
  * Install gprbind and gprlib to /usr/libexec instead of /usr/lib.
    Depend on a version of gprconfig-kb aware of this. Closes: #998628.
  * Build-Depend: tex-gyre. Closes: #997415.
  * Drop obsolete version restriction in Build-Depends.
  * Add copyright stanza for an unused copy of sphinx.sty.
  * Add upstream metadata.
  * Remove unneeded filenamemangle uscan option.
  * Update standards version, patch status.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Mar 2022 12:39:17 +0000
