=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
 Build-Depends-Arch:
  gnat,
 # d/rules extracts ALI versions from these lines:
- gnat-10,
- libxmlada-dom10-dev (>= 21),
- libxmlada-input10-dev (>= 21),
- libxmlada-sax10-dev (>= 21),
- libxmlada-schema10-dev (>= 21),
+# A change in s-oscons.ads breaks ALI checksums:
+ gnat-11 (>= 11.2.0-19),
+ libxmlada-dom11-dev,
+ libxmlada-input11-dev,
+ libxmlada-sax11-dev,
+ libxmlada-schema11-dev,
 # libxmlada_unicode is required indirectly
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
@@ -21,17 +22,19 @@
  python3-sphinx,
 # makeinfo:
  texinfo,
+# documentation depends on tgtermes.sty:
+ tex-gyre,
 # ptmr8t.tfm:
  texlive-fonts-recommended,
 # fncychap.sty:
  texlive-latex-extra,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/gprbuild
 Vcs-Browser: https://salsa.debian.org/debian/gprbuild
 Vcs-Git: https://salsa.debian.org/debian/gprbuild.git
 
-Package: libgnatprj8
+Package: libgnatprj9
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -43,7 +46,7 @@
  .
  This package contains the runtime shared library.
 
-Package: libgnatprj8-dev
+Package: libgnatprj9-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -57,9 +60,10 @@
 
 Package: gprbuild
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gprconfig-kb
-Suggests: gnat (>= 5), g++, gcc, gfortran, gprbuild-doc
-# Previous gnat-x.y used x.y instead of x to name tools and libs.
+Depends: ${shlibs:Depends}, ${misc:Depends},
+# 22.0.0-5 nevers calls gnatgcc
+ gprconfig-kb (>= 22.0.0-5),
+Suggests: gnat, g++, gcc, gfortran, gprbuild-doc
 Description: multi-language extensible build tool
  A set of tools for processing GNAT project files:
  gprconfig detects available compilers,
@@ -79,7 +83,7 @@
 Suggests: gprbuild
 # Examples were in the gprbuild package when there was no -doc package.
 Replaces: gprbuild (<< 2021.0.0.0778b109-1)
-Breaks:   gprbuild (<< 2021.0.0.0778b109-1)
+Breaks: gprbuild (<< 2021.0.0.0778b109-1)
 Description: multi-language extensible build tool (documentation)
  A set of tools for processing GNAT project files:
  gprconfig detects available compilers,
