=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for GPRBuild in Debian.
 # Copyright (c) 2009-2012 Stephen Leake <stephen_leake@stephe-leake.org>
-# Copyright (c) 2013-2020 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2022 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -33,7 +33,7 @@
   s/^Package:\s*\(libgnatprj[0-9.]\+-dev\)$$/ \
     gnatprj_DEV_PKG:=\1 \
    /p;\
-  s/^ gnat-\([0-9.]\+\),\?$$/ \
+  s/^ gnat-\([0-9.]\+\)\( (.*)\)\?,\?$$/ \
     GNAT_VERSION:=\1 \
    /p;\
   s/^ \(libxmlada-\([a-z]\+\)[0-9.]\+-dev\)\( (.*)\)\?,\?$$/ \
@@ -49,7 +49,8 @@
   -Wl,--no-allow-shlib-undefined
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
+include /usr/share/dpkg/buildopts.mk
+include $(wildcard /usr/share/ada/debian_packaging.mk)
 # wildcard in case only Build-Depends-Indep are installed.
 
 # gprbuild.gpr selects inlining.
@@ -120,7 +121,7 @@
         | obj/shared obj/shared_$(library)_ali obj/shared_$(library)_obj
     # -fPIC/-shared overrides -fPIE/-pie in ADAFLAGS/LDFLAGS.
 	gnatmake -c $$($(library)_unit_bodies) -D obj/shared_$(library)_obj \
-	  $(BUILDER_OPTIONS) $(includes_so_far) $(ada_build_deps_includes) \
+	  $(GNATMAKEFLAGS) $(includes_so_far) $(ada_build_deps_includes) \
 	  -cargs $(ADAFLAGS) -fPIC
 	gcc-$(GNAT_VERSION) $(LDFLAGS) -shared \
 	  -o $$@ \
@@ -133,7 +134,7 @@
 	mv obj/shared_$(library)_obj/*.ali obj/shared_$(library)_ali
 	chmod 444 obj/shared_$(library)_ali/*
   # Work-around until BUILD_PATH_PREFIX_MAP is accepted in GCC.
-	sed -i '/^A -f[a-z]+-prefix-map=/d' obj/shared_$(library)_ali/*
+	sed -i '/^A -f[a-z]\+-prefix-map=/d' obj/shared_$(library)_ali/*
 
   # Build static library.
   override_dh_auto_build-arch: obj/static/lib$(library).a
@@ -145,7 +146,7 @@
          $(shared_objects_so_far) \
         | obj/static obj/static_$(library)_ali obj/static_$(library)_obj
 	gnatmake -c $$($(library)_unit_bodies) -D obj/static_$(library)_obj \
-	  $(BUILDER_OPTIONS) $(includes_so_far) $(ada_build_deps_includes) \
+	  $(GNATMAKEFLAGS) $(includes_so_far) $(ada_build_deps_includes) \
 	  -cargs $(ADAFLAGS)
 	ar rc $$@ obj/static_$(library)_obj/*.o
 	ranlib $$@
@@ -179,14 +180,14 @@
 	dh_install --package=$($(library)_DEV_PKG) \
 	  $($(library)_SRCDIR)/*.ad[bs] $$($(library)_c_sources) \
 	  $(ADS_DIR)/$(library)
+
   # Substitution variables for the control file.
-	echo 'ada:Depends=gnat, gnat-$(GNAT_VERSION), \
+  override_dh_gencontrol::
+	dh_gencontrol --package=$($(library)_DEV_PKG) -- -Vada:Depends='\
+	  gnat (>= $(GNAT_VERSION)), \
+	  gnat (<< $(shell expr $(GNAT_VERSION) + 1)), \
 	  $(foreach l, $($(library)_deps_int_direct), $($(l)_DEV_PKG) (=$$$${binary:Version}),) \
 	  $(foreach l, $($(library)_deps_ext_direct), $($(l)_DEV_PKG),) \
-	  $($(library)_LIB_PKG)' \
-	  >> debian/$($(library)_DEV_PKG).substvars
+	  $($(library)_LIB_PKG)'
 
   # Externally built project installed for end users.
-  override_dh_auto_build-arch: obj/$(library).gpr
-  obj/$(library).gpr: debian/template.gpr | obj
-	sed ' \
