=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Tests: ada-policy-project-with-dash-s link-with-shared gpr-wrapper
 Depends: @, gnat
 
-Tests: link-library-as-needed-z-defs source-date-epoch
+Tests: link-library-as-needed-z-defs source-date-epoch mixing-ada-c
 Depends: gprbuild, gnat
 
 Tests: examples
