## gprbuild 2023.0.0

=== Makefile ===
--- 
+++ 
@@ -40,12 +40,12 @@
 # target options for cross-build
 ifeq ($(HOST),$(TARGET))
 GTARGET=
-INSTALLER=exe/$(BUILD)/$(LIB_INSTALLER)
+# INSTALLER=exe/$(BUILD)/$(LIB_INSTALLER)
 else
 GTARGET=--target=$(TARGET)
+endif
+
 INSTALLER=$(LIB_INSTALLER)
-endif
-
 EXEC_INSTALLER=$(INSTALLER) -XBUILD=${BUILD}
 
 # check for out-of-tree build
