=== debian/changelog ===
gprbuild (2023.0.0-3) unstable; urgency=medium

  * Break/Replace libgnatprj*-dev since oldstable. Closes: #1034913.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 23:33:22 +0200

gprbuild (2023.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Dec 2022 23:43:38 +0100

gprbuild (2023.0.0-1) experimental; urgency=medium

  * New upstream version.
  * Build with unicode 15. No need to rename -dev in experimental.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Nov 2022 10:42:31 +0000

gprbuild (2023~20220801-3) experimental; urgency=medium

  * Avoid variables set by packaging.mk during -indep builds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 29 Aug 2022 18:33:59 +0000

gprbuild (2023~20220801-2) experimental; urgency=medium

  * Update debian/rules for dh-ada-library 8.1.
    Various simplifications in sync with the ones in libxmlada.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Aug 2022 23:35:39 +0000

gprbuild (2023~20220801-1) experimental; urgency=medium

  * Build new upstream snapshot with gnat-12 in experimental.
    Change ALI and SO versions for the library.
  * Depend on gprconfig-kb recent enough for Bindfile_Option_Substitution.
  * When mixing Ada and C, recommend to only match major version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 07 Aug 2022 06:42:00 +0000

gprbuild (2022.0.0-9) unstable; urgency=medium

  * Move basic test of projects mixing Ada and C to gprconfig-kb.
    Let examples which are mixing languages use the same GCC version too.
  * Improve wording and examples in README.Debian.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 16 Jul 2022 18:53:36 +0000
