=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- gnat,
-# d/rules extracts ALI versions from these lines:
-# A change in s-oscons.ads breaks ALI checksums:
- gnat-11 (>= 11.2.0-19),
- libxmlada-dom11-dev,
- libxmlada-input11-dev,
- libxmlada-sax11-dev,
- libxmlada-schema11-dev,
+ dh-ada-library (>= 8.1),
+ dh-sequence-ada-library,
+# The GNAT major version must be the same in debian/tests/control.
+ gnat-12,
+ libxmlada-dom12-dev,
+ libxmlada-input12-dev,
+ libxmlada-sax12-dev,
+ libxmlada-schema12-dev,
 # libxmlada_unicode is required indirectly
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
@@ -28,13 +28,13 @@
  texlive-fonts-recommended,
 # fncychap.sty:
  texlive-latex-extra,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/gprbuild
 Vcs-Browser: https://salsa.debian.org/debian/gprbuild
 Vcs-Git: https://salsa.debian.org/debian/gprbuild.git
 
-Package: libgnatprj9
+Package: libgnatprj10
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,7 +46,9 @@
  .
  This package contains the runtime shared library.
 
-Package: libgnatprj9-dev
+Package: libgnatprj10-dev
+Breaks: libgnatprj7-dev, libgnatprj8-dev, libgnatprj9-dev
+Replaces: libgnatprj7-dev, libgnatprj8-dev, libgnatprj9-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
@@ -61,8 +63,8 @@
 Package: gprbuild
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-# 22.0.0-5 nevers calls gnatgcc
- gprconfig-kb (>= 22.0.0-5),
+# 23~20220701-1 sets the now required Bindfile_Option_Substitution attribute
+ gprconfig-kb (>= 23~20220701-1),
 Suggests: gnat, g++, gcc, gfortran, gprbuild-doc
 Description: multi-language extensible build tool
  A set of tools for processing GNAT project files:
