=== debian/tests/control ===
Tests: archive-builder
Depends: gprbuild, gcc

Tests: ada-policy-project-with-dash-s link-with-shared gpr-wrapper
Depends: @, gnat

Tests: link-library-as-needed-z-defs source-date-epoch
Depends: gprbuild, gnat

Tests: examples
Depends: gprbuild, gnat, gnat-12, gcc-12, g++-12, gfortran-12, make, gprbuild-doc

Tests: do-not-strip-minor-soversion
Depends: gprbuild, gnat, binutils
